﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace LinqToSqlDemo
{
	public partial class EditEmployeeDialog : Form
	{
		public EditEmployeeDialog()
		{
			InitializeComponent();
		}

		public void PopulateControls(EmployeeSummary e)
		{
			if (e != null)
			{
				this.firstNameTextBox.Text = e.FirstName;
				this.lastNameTextBox.Text = e.LastName;
				this.titleTextBox.Text = e.Title;
			}
		}

		public void GetDataFromControls(Employee e)
		{
			e.FirstName = this.firstNameTextBox.Text;
			e.LastName = this.lastNameTextBox.Text;
			e.Title = this.titleTextBox.Text;
		}

		private void okButton_Click(object sender, EventArgs e)
		{
			this.DialogResult = DialogResult.OK;
			Close();
		}

		private void cancelButton_Click(object sender, EventArgs e)
		{
			this.DialogResult = DialogResult.Cancel;
			Close();
		}
	}
}
